# !/bin/sh

# file: $HOME/login/Make.sh
#
# this file makes the minimum number of links in a user's home directory
# to run the environment. note that the links are made in a file system
# independent manner (they are made relative to the home directory).
#

# make links for the shell
#
rm ../.bash_profile ./shell_bash_profile.sh ../.bashrc

ln -s /isip/tools/ifc/login/shell_bash_profile.sh ./shell_bash_profile.sh
ln -s ./shell_bash_profile.sh ../.bash_profile
ln -s ./shell_bashrc.sh ../.bashrc

# make links for finger (not really necessary, but nice to have)
#
rm ../.plan ../.project

ln -s ./finger_plan.text ../.plan
ln -s ./finger_project.text ../.project

# make links for the window system and window manager
#
rm ../.Xsession

ln -s ./x11_xsession.sh ../.Xsession

# make links for the procmail files
#
rm ../.procmailrc

ln -s ./mail_procmailrc_local.sh ../.procmailrc

# make the mail forward through procmail
#
rm ../.forward

ln -s ./mail_forward.sh ../.forward

#
# end of file
