// file: $isip/class/asr/MachineDatabase/madb_01.cc
//

// isip include files
//
#include "MachineDatabase.h"
#include <Console.h>

// method: debug
//
// arguments:
//  const unichar* message: (input) information message
//
// return: a boolean value indicating status
//
// this method dumps the contents of an object to the console
//
boolean MachineDatabase::debug(const unichar* msg_a) const {
  
  // build a debug string
  //
  String value;
  String output;

  // output an information message
  //
  output.debugStr(name(), msg_a, L":");
  Console::put(output);
  Console::increaseIndention();

  // write the name
  //
  name_d.debug(L"name_d");

  // write the database
  //
  database_d.debug(L"database_d");

  // decrease indention
  //
  Console::decreaseIndention();
  
  // exit gracefully
  //
  return true;
}

