// file: $isip/class/stat/Histogram/hist_01.cc
// version: $Id: hist_01.cc,v 1.1 2001/02/01 16:47:48 hamaker Exp $
//

// isip include files
//
#include "Histogram.h"
#include <Console.h>

// method: debug
//
// arguments:
//  const unichar* msg: (input) message to print
//
// return: boolean value indicating status
//
// this is the debug method
//
boolean Histogram::debug(const unichar* msg_a) const {

  // declare local variables
  //
  String value;
  String output;

  // output an information message
  //
  output.debugStr(name(), msg_a, L":");
  Console::put(output);
  Console::increaseIndention();

  // output the bin mode information
  //
  output.debugStr(name(), msg_a, L"mode_d", MODE_MAP((ushort)mode_d));
  Console::put(output);

  // output bins and counts information
  //
  Console::increaseIndention();
  bins_d.debug(L"bins_d");
  counts_d.debug(L"counts_d");
  Console::decreaseIndention();

  // decrease indention
  //
  Console::decreaseIndention();

  // exit gracefully
  //
  return true;
}
