// file: $isip/class/stat/Histogram/hist_05.cc
// version: $Id: hist_05.cc,v 1.1 2001/02/01 16:47:50 hamaker Exp $
//

// isip include files
//
#include "Histogram.h"

// method: clear
//
// arguments:
//  Integral::CMODE cmode: (input) clear mode
//
// return: a boolean value indicating status
//
// clear the internal data
//
boolean Histogram::clear(Integral::CMODE cmode_a) {

  // reset the mode if necessary
  //
  if (cmode_a != Integral::RETAIN) {
    mode_d = DEF_MODE;
  }

  // clear the bins and counts
  //
  return (bins_d.clear(cmode_a) &&
	  counts_d.clear(cmode_a));
}
